I know I am overlooking something very simple and basic here but have spent way too much time trying to fix this problem. The routine prints what I need but it is followed by 2 "command:" lines example Command: layerplot Select Layer to Toggle Plot Status.. "M-E-V-EXIST" will plot Command: Command: what is my problem thanks for any input here is the file (defun c:LayerPlot (/ lay1 nam1 plt1) (if (setq lay1 (nentsel "Select Layer to Toggle Plot Status.. ")) (progn (setq nam1 (cdr (assoc 8 (entget (car lay1)))) plt1 (cdr (assoc 290 (entget (tblobjname "layer" nam1))))) (if (= plt1 1) (progn (setq lay1 (entget (tblobjname "layer" nam1)) lay1 (subst (cons 290 0) (assoc 290 lay1) lay1)) (princ (strcat "\"" nam1 "\" will NOT plot ")) ) (progn (setq lay1 (entget (tblobjname "layer" nam1)) lay1 (subst (cons 290 1) (assoc 290 lay1) lay1)) (princ (strcat "\"" nam1 "\" will plot ")) ) ) (entmod lay1) ) (princ "Nothing Selected.. ") ) (princ) )
See the thread dated 9/16/2004 named "extra line at prompt?" for more info. In particular, John Uhden's reply. Joe Burke
thank you Joe, I seem to have missed placed my search button.... I am in the process of eliminating all "command" calls in my routines but I guess I will have to go back and start adding one. thanks